Source: magnum-cluster-api
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 openstack-pkg-tools,
 pybuild-plugin-pyproject,
 python3-all,
 python3-poetry-core,
Build-Depends-Indep:
 python3-certifi,
 python3-click,
 python3-diskcache (>= 5.6.1),
 python3-haproxyadmin,
 python3-kubernetes (>= 24.2.0),
 python3-magnum,
 python3-manilaclient,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.log,
 python3-oslo.privsep,
 python3-oslo.service,
 python3-oslotest,
 python3-platformdirs,
 python3-pykube-ng,
 python3-pyroute2,
 python3-pytest,
 python3-pytest-mock,
 python3-requests,
 python3-semver,
 python3-sherlock,
 python3-shortuuid,
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/openstack-team/python/python-magnum-cluster-api
Vcs-Git: https://salsa.debian.org/openstack-team/python/python-magnum-cluster-api.git
Homepage: https://github.com/vexxhost/magnum-cluster-api

Package: magnum-cluster-api
Architecture: all
Depends:
 python3-certifi,
 python3-click,
 python3-diskcache (>= 5.6.1),
 python3-haproxyadmin,
 python3-kubernetes (>= 24.2.0),
 python3-magnum,
 python3-manilaclient,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.log,
 python3-oslo.privsep,
 python3-oslo.service,
 python3-platformdirs,
 python3-pykube-ng,
 python3-pyroute2,
 python3-requests,
 python3-semver,
 python3-sherlock,
 python3-shortuuid,
 ${misc:Depends},
 ${python3:Depends},
Description: cluster API driver for Magnum
 Magnum is an OpenStack project which offers container orchestration engines
 for deploying and managing containers as first class resources in OpenStack.
 .
 This plugin for Magnum uses the Kube's cluster API for deploying.
